# Copyright 2023 Chilufya Mukuka <mukukachilu@gmail.com>
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from rest_framework import serializers

from index.models import SupportEmail, SupportEmailResponse


class SupportEmailSerializer(serializers.ModelSerializer):
    class Meta:
        model = SupportEmail
        fields = '__all__'

class SupportEmailResponseSerializer(serializers.ModelSerializer):
    support_email = SupportEmailSerializer()
    class Meta:
        model = SupportEmailResponse
        fields = '__all__'
